Alexander A Manaeff -

 
 

Обновления на Windows 7, 8, 8.1. Ошибка 80240037

Все об администрировании рабочих станций Windows 95/98/NT/2000/XP/7/8. То, чего не найдешь в бескрайних просторах Интернета. Решения тех проблем, которые не решаются типовыми ответами, которые можно получить в техподдержке Майкрософта - а именно: переустановить продукт или купить какой-ть другой лицензионный диск.

Модератор: UncleFather

Обновления на Windows 7, 8, 8.1. Ошибка 80240037

Сообщение UncleFather » 09 фев 2019 10:50, Сб




Ошибка обновления 80240037 на Microsoft Windows 7, 8, 8.1
Не работает центр обновления
Сообщение о несовместимости оборудования:
Несовместимое оборудование.
Ваш компьютер оборудован процессором, предназначенным для последней версии Windows. Так как процессор не поддерживается в используемой версии Windows, вы пропустите важные обновления системы безопасности. Нажмите ссылку «Подробнее», чтобы узнать больше об этой проблеме.

Unsupported hardware.
Your PC uses a processor that is designed for the latest version of Windows. Because the processor is not supported together with the Windows version that you are currently using, your system will miss important security updates.
Unsupported hardware Your PC uses a processor that is designed for the latest version of Windows


Центр обновления Windows выдает ошибку 80240037 и не ищет никакие обновления!
Code 80240037 Windows Update encountered an unknown error.
80240037 Windows Update encountered an unknown error


00.jpg
01.jpg


Microsoft вновь «радует» нас нововведениями. На этот раз софтовый монстр ограничил обновления, а соответственно, и поддержку операционных систем Microsoft Windows 7, 8 и 8.1 с новыми процессорами. На деле это означает, что, покупая новый компьютер (или ноутбук), Вы не сможете выбирать какую именно операционную систему от Microsoft Вам хочется, а должны будете поставить ТОЛЬКО Windows 10 (либо вообще, не смотреть в сторону Microsoft, а ставить что-то unix-овое). Microsoft еще в январе 2016 года грозилась ввести такие ограничения Windows 10 Embracing Silicon Innovation, но вот наконец-то мы это почувствовали на собственной шкуре.

Официальный ответ Microsoft на ошибку Центра обновлений Windows гласит, что если уж Вы приобрели процессор с современной микроархитектурой, то, будьте любезны, установите последнюю версию операционной системы Microsoft Windows (а именно - Windows 10), поскольку предыдущие версии (Windows 7, 8, 8.1) разработчик поддерживать не будет, а, следовательно, все такие системы переходят в разряд уязвимых.

Кроме того, блокируется установка драйверов для видеоадаптеров на базе графического чипа Intel, начиная с седьмого поколения (Intel HD Graphics 610 — 650) - в диспетчере устройств он определяется как стандартный VGA графический адаптер, а при попытке установить официальный, подписанный видео драйвер, появляется ошибка
Эта система не удовлетворяет минимальным требованиям для установки программного обеспечения
03.jpg

В информации установщика драйвера графического адаптера так же указано, что, если ваш процессор седьмого поколения, то установка может быть произведена исключительно на Microsoft Windows 10 x64:
02.jpg


Проблема началась в апреле 2017 года, когда Microsoft выпустила патчи для предыдущих версий ОС:
  • KB4012218 – для Windows 7 SP1 и Windows Server 2008 R2
  • KB4012219 – для Windows 8.1 и Windows Server 2012 R2
В их описаниях заявляется о появлении функционала определения поколения процессора и поддерживаемого оборудования при поиске обновлений через Windows Update.
Enabled detection of processor generation and hardware support when PC tries to scan or download updates through Windows Update.

Именно после установки этих патчей, система начинает блокировать загрузку новых обновлений (в том числе и для MS Office и драйверов) на Windows 7, 8 и 8.1 с ошибкой 80240037, тем самым принуждая пользователей переходить на Windows 10 или Windows Server 2016.

«Под раздачу» попадают поколения процессоров, начиная со следующих:
  • Intel - процессоры, начиная с 7-го поколения Intel Core с микроархитектурой Kaby Lake, выпуск которых начат в 2017 году
  • AMD - процессоры, начиная с 7-го поколения с микроархитектурой Bristol Ridge, выпуск которых начат в конце 2016 года
  • Qualcomm - процессоры, начиная с Qualcomm Snapdragon 820 MSM8996 с микроархитектурой Kryo, выпускаются с 2015 года, предназначены для смартфонов и планшетов




Временное решение проблемы:

На сегодняшний день ошибки Windows Update можно избежать, удалив вышеуказанные патчи:
Код: Выделить всё
wusa.exe /quiet /uninstall /kb:4012218 /promptrestart

или
Код: Выделить всё
wusa.exe /quiet /uninstall /kb:4012219 /promptrestart

после чего заблокировать их установку в центре обновлений Windows. (В корпоративной сети, при наличии сервера обновлений WSUS, это легко выполняется на сервере сразу для всех компьютеров ЛВС).

Однако это решение временное - до тех пор, пока Microsoft не выпустит (а они точно выпустят!) новое обновление, определяющее поколение процессора.




Еще одно решение проблемы:

Естественно, умельцы уже придумали более-менее постоянные решения. Хочу порекомендовать одно из таких - от пользователя GitHub с ником Zeffy. Он сваял небольшой патч Wufuc (как для 32-х, так и для 64-х разрядных систем), позволяющий избавиться от нашей проблемы.

По информации от Zeffy, функция обнаружения типа процессора и запрета получения обновлений находится в библиотеке wuaueng.dll. Первые версии патча Wufuc заменяли эту библиотеку, но поскольку данное решение «слетает» при очередных обновлениях Windows, в последующих релизах Zeffy отказался от замены. Теперь патч создает новое задание планировщика, запускающее wufuc при загрузке компьютера. Затем патч внедряется в процесс service host или службу wuauserv и перехватывает вызовы функций IsDeviceServiceable и IsCPUSupported, модифицируя возвращаемый ответ.

Для особо недоверчивых, или желающих модифицировать патч, в репозитории есть исходный код Wufuc.

Примечание 1: При клонировании систем с помощью утилиты Sysprep, задание планировщика, созданное этим патчем перестает запускаться из-за не совсем корректной записи имени пользователя «Система», от которого должен запускаться Wufus. Для нормальной его работы на клонированной системе нужно просто еще раз выбрать пользователя «Система» в параметрах безопасности задания.




Если Вам понравился этот материал, то мы с признательностью примем вашу финансовую поддержку, которая поможет нам и в дальнейшем радовать Вас интересной и полезной информацией.
Помните, что даже минимальная сумма сделает Вас инвестором этого проекта и о Вас будут думать с благодарностью тысячи наших новых читателей.
Материально поддержать проект можно здесь










Alexander A. Manaeff©

Понравилась статья? Будем крайне признательны за репосты в соцсетях! Материально поддержать проект можно здесь

Мои странички:
ВКонтакте
Одноклассники
Youtube
Facebook
Instagram
Изображение
Изображение
Изображение
Изображение
Аватара пользователя
UncleFather
Site Admin
 
Сообщения: 1371
Зарегистрирован: 17 авг 2004 16:20, Вт



Вернуться в Администрирование Windows Workstations

Кто сейчас на конференции

Сейчас этот форум просматривают: нет зарегистрированных пользователей и гости: 0

cron
Alexander A Manaeff - нижняя граница
Рейтинг@Mail.ru Яндекс.Метрика Яндекс цитирования

Счетчик посещений